Cancel an order

Cancels all verification requests on an order, provided each request is not already in a terminal state.

Authentication

AuthorizationBearer
Bearer tokens conform to the [RFC6750](https://datatracker.ietf.org/doc/html/rfc6750#section-2.1) spec. Production API keys (secret keys) are prefixed with `tw_sk_` and sandbox keys are prefixed with `tw_sk_test_`. If your secret key is published, you should rotate your API keys. Truework.JS publishable keys are prefixed with `tw_pk_` and `tw_pk_test` respectively. **Examples** - For Authorization Headers: `Authorization: Bearer tw_sk_test_e508eb797edb95ade85284bcb54dd49ed45db1be` - For the "try it now" `token` field, input only the token itself, omitting `Bearer `.

Path parameters

order_idstringRequired
Order ID

Headers

AcceptenumOptionalDefaults to application/json
Specify the content type and version that the API should use. It's recommended to include this to avoid breaking changes.
Allowed values:

Request

cancellation_reasonenumRequired
VALUEDESCRIPTION
immediateCan be used to cancel a request directly after submitting, before Truework has started processing it
high-turnaround-timeThe request is taking longer than expected
competitorYou preferred a competitor for this request
wrong-infoThe request that is submitted contains information that is wrong
otherNo other reason in the list fits the cancellation reason
Allowed values:
cancellation_detailsstring or nullOptional

Free form text on the details; can be blank

Response headers

Datestring
For JSON requests, the date at which the request was signed
X-Truework-Signaturestring
For JSON requests, the signature of the request, see: https://www.truework.com/docs/verifications-signatures

Response

OK
idstring1-128 characters
loan_idstring or null
The loan id associated with the verification request
verification_requestslist of objects or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
429
Too Many Requests Error
451
Unavailable for Legal Reasons Error
500
Internal Server Error
501
Not Implemented Error